### Struct

# Meta WindowShape

#### Description [src]

    struct MetaWindowShape {
      /* No available fields */
    }

Represents a 9-sliced region with borders on all sides that are unscaled, and a constant central region that is scaled.

For example, the regions representing two windows that are rounded rectangles, with the same corner radius but different sizes, have the same MetaWindowShape.

`MetaWindowShape` is designed to be used as part of a hash table key, so has efficient hash and equal functions.

#### Constructors

###### meta_window_shape_new

No description available.

#### Instance methods

###### meta_window_shape_equal

No description available.

###### meta_window_shape_get_borders

No description available.

###### meta_window_shape_hash

No description available.

###### meta_window_shape_ref

No description available.

###### meta_window_shape_to_region

Converts the shape to to a MtkRegion using the given width and height for the central scaled region.

###### meta_window_shape_unref

No description available.